<?php
/**
 * The offcanvas right sidebar.
 *
 * @package Collect
 * @since Collect 1.0
 */

$user_id = absint( get_theme_mod( 'display_author_id' ) );
$class = ( is_active_sidebar( 'sidebar' ) || $user_id ) ? 'main-bg' : 'main-bg no-widgets';
?>
	<div id="sidebar" class="<?php echo esc_attr( $class ); ?>" role="complementary">
		<div class="nav-icons">
			<span class="nav-open pull-left"><i class="fa fa-bars"></i> <span><?php _e( 'Menu', 'collect' ); ?></span></span>
			<span class="nav-search pull-right"><i class="fa fa-search"></i></span>
		</div>

		<?php $social_class = ( function_exists( 'abc_has_social_icons' ) && abc_has_social_icons() ) ? 'class="social-menu"' : ''; ?>
		<div id="main-sidebar" <?php echo $social_class; ?>>
			<?php if ( $user_id ) : ?>
				<aside class="widget display-author">
					<div class="textwidget">
						<p><?php echo get_avatar( $user_id, '180', '', '', array( 'class' => 'img-circle' ) ); ?></p>

						<h4><?php echo the_author_meta( 'display_name', $user_id ); ?></h4>

						<p><?php echo the_author_meta( 'description', $user_id ); ?></p>
					</div>
				</aside>
			<?php endif; ?>

			<?php
			if ( is_active_sidebar( 'sidebar' ) || $user_id ) {
				dynamic_sidebar( 'sidebar' );
			} else {
				collect_sidebar_nav();
			}
			?>

			<?php
			if ( function_exists( 'abc_social_icons_output' ) ) {
				abc_social_icons_output();
			}
			?>
		</div>

		<?php if ( is_active_sidebar( 'sidebar' ) || $user_id ) { ?>
			<div id="hidden-sidebar">
				<?php collect_sidebar_nav(); ?>

				<?php dynamic_sidebar( 'hidden-sidebar' ); ?>
			</div>
		<?php } ?>

		<?php if ( function_exists( 'abc_premium_features' ) && $header_image = get_header_image() ) { ?>
			<div class="header-img" style="background-image: url(<?php echo esc_url( $header_image ); ?>);"></div>
		<?php } ?>
	</div><!-- #sidebar -->