<?php
/**
 * The default template for displaying content
 *
 * Used for single and index.
 *
 * @package Collect
 * @since Collect 1.0
 */

$collect_default_theme_options = collect_default_theme_options();
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<?php if ( has_post_thumbnail() ) { ?>
			<div class="break-out fadeInUp">
				<a href="<?php the_permalink(); ?>">
					<?php the_post_thumbnail( 'large' ); ?>
				</a>
			</div>
		<?php } ?>

		<div class="entry-wrapper">
			<?php get_template_part( 'template-parts/content', 'header' ); ?>

		    <div class="entry-content">
			    <?php
				if ( is_singular() ) {
				    the_content( collect_sanitize_text( get_theme_mod( 'read_more_text', $collect_default_theme_options['read_more_text'] ) ) . ' <span class="screen-reader-text">' . get_the_title() . '</span>' );
				} else {
					the_excerpt();
				}
				?>
		    </div><!-- .entry-content -->

			<?php
			// Author bio.
			if ( is_single() && get_the_author_meta( 'description' ) ) {
				get_template_part( 'template-parts/content', 'author-bio' );
			}
			?>

			<?php get_template_part( 'template-parts/content', 'footer' ); ?>
		</div>

	</article> <!-- #post-<?php the_ID(); ?> -->